/////////////////////////////////////////////////////////////////////////////

//

// $Header: //depot/Software/IotRouter/dev/U50Module/include/Version.h#1 $

//

// Version Information

//

// This file defines build versions.  It can be customized by different

// products to define different version numbers, if necessary.

//

/////////////////////////////////////////////////////////////////////////////



#ifndef __VERSION_H__

#define __VERSION_H__



#pragma once





//

// These version numbers should be updated before a system build.

// This can be done by a program searching for the magic markers.

// Alternatively, the values can be overridden by individual source

// files or by passing options to the compiler, e.g.

//

//      cc /DRELEASE_NUMBER_MAJOR=1 ...

//



#ifndef RELEASE_NUMBER_MAJOR

#  define RELEASE_NUMBER_MAJOR      4       // :MAJOR:   DO NOT DELETE THIS MARKER!

#endif

#ifndef RELEASE_NUMBER_MINOR1

#  define RELEASE_NUMBER_MINOR1     0       // :MINOR1:  DO NOT DELETE THIS MARKER!

#endif

#ifndef RELEASE_NUMBER_MINOR2

#  define RELEASE_NUMBER_MINOR2     0       // :MINOR2:  DO NOT DELETE THIS MARKER!

#endif

#ifndef RELEASE_NUMBER_BUILD0

#  define RELEASE_NUMBER_BUILD0     1       // :BUILD0:  DO NOT DELETE THIS MARKER!

#endif

#ifndef RELEASE_NUMBER_BUILD1

#  define RELEASE_NUMBER_BUILD1     0       // :BUILD1:  DO NOT DELETE THIS MARKER!

#endif

#ifndef RELEASE_NUMBER_BUILD2

#  define RELEASE_NUMBER_BUILD2     8       // :BUILD2:  DO NOT DELETE THIS MARKER!

#endif



#define DEVEL_BIND_NUM 255





// pull-in (standard) macros for operating on these versions numbers

#include "vermacro.h"



#endif // __VERSION_H__

