//

// BuildOptions.h

//

// Copyright (C) 2003 - 2013 Echelon Corporation.  All rights reserved.

//

// Use of this code is subject to the terms of the Echelon Example Software License

// Agreement which is available at www.echelon.com/license/examplesoftware/.

//

// This file contains options for builds that are local to a given

// machine.

//

// $Header: //depot/Software/IotRouter/dev/U50Module/include/BuildOptions.h#1 $

//



#ifndef BUILDOPTIONS_H

#	define BUILDOPTIONS_H



#if (_MSC_VER > 1000) || (__GNUC__ >= 4) || ((__GNUC__ == 3) && (__GNUC_MINOR__ >= 4))

#define SUPPORT_PRAGMA_ONCE

#endif



//

// Turn this on to disable reminders

//

//#define NO_REMINDERS 1



//

// Turn this on to make it really hard to go offline due to multiple reboots (since this can be a hassle

// during debug).

//

//#define PROC_MAX_REBOOT 200





//

// Enable more warnings.  Disable it only temporarily.

//

#define STRICTER_WARNINGS



//

// Use this to run without a shell

//

#define DISABLE_SHELL



// Set this to 1 to automatically get detailed TIPC tracing in MAX without having to use the

// magic command line switch

#ifdef NDEBUG

#define TRACE_AUTO_DETAIL 0

#else

#define TRACE_AUTO_DETAIL 1

#endif



#endif

