#include <linux/netdevice.h>
#include <linux/tty.h>
#include "U50Link.h"

struct u50_priv {
	spinlock_t lock;
	struct tty_struct *tty;
	struct net_device* dev;
	unsigned char *rbuff;
	int rcount;
	unsigned char *xbuff;
	unsigned char *xhead;
	unsigned char xleft;
	int buffsize;
	struct U50LinkState state;
};

void u50_bump(struct u50_priv *priv, uint8_t *buf, int count);
